Index Page vminug_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void vminug_c ( ConstSpiceDouble  * vin,
                       SpiceInt            ndim,
                       SpiceDouble       * vout )

#### Abstract

       Negate a double precision vector of arbitrary dimension.

#### Required_Reading

        None.

#### Keywords

        VECTOR

#### Brief_I/O

        VARIABLE  I/O  DESCRIPTION
        --------  ---  --------------------------------------------------
         vin       I   ndim-dimensional double precision vector to
                       be negated.
         ndim      I   Dimension of vin (and also vout).
         vout      O   ndim-dimensional double precision vector equal to
                       -vin.

#### Detailed_Input

        vin      double precision vector of arbitrary size.

        ndim     the dimension of vin and vout.

#### Detailed_Output

        vout    a double precision vector which contains the negation
                of vin. vout may overwrite vin.

#### Parameters

        None.

#### Exceptions

       Error free.

#### Files

        None.

#### Particulars

        For each value of the index i from 1 to ndim, vminug_c negates vin
        by the expression:

        vout[i] = - vin[i];

#### Examples

        Let vin = [ -10.0, 15.0, -5.0, 20.0 ]

        The call

        vminug_c ( vin, 4, vin )

        negates all of the components of the vector VIN, and overwrites
        the original components. The vector VIN then contains the
        components

        vin = [ 10.0, -15.0, 5.0, -20.0 ]

#### Restrictions

        None.

#### Literature_References

        None.

#### Author_and_Institution

        W.M. Owen       (JPL)
        E.D. Wright     (JPL)

#### Version

       -CSPICE Version 1.0.0, 29-JUN-1999

#### Index_Entries

       negate an n-dimensional vector

#### Link to routine vminug_c source file vminug_c.c

    Wed Apr  5 17:54:46 2017